|  | Home |

# QMailAuthenticator Class Reference

The QMailAuthenticator class provides a customization point where authentication services can be supplied to the messageserver. More...

        #include <QMailAuthenticator>

This class is under development and is subject to change.

- List of all members, including inherited members

## Static Public Members

QByteArray | getAuthentication ( const QMailAccountConfiguration::ServiceConfiguration & svcCfg, const QStringList & capabilities )
QByteArray | getResponse ( const QMailAccountConfiguration::ServiceConfiguration & svcCfg, const QByteArray & challenge )
bool | useEncryption ( const QMailAccountConfiguration::ServiceConfiguration & svcCfg, const QStringList & capabilities )

## Detailed Description

The QMailAuthenticator class provides a customization point where authentication services can be supplied to the messageserver.

QMailAuthenticator provides a simple interface for handling authentication exchanges between the messageserver and external services. Protocol plugins operating within the messageserver should use the QMailAuthenticator interface to request the authentication type they should use, and to resolve any challenges required by the external server during the authentication process.

## Member Function Documentation

### QByteArray QMailAuthenticator::getAuthentication ( const QMailAccountConfiguration::ServiceConfiguration & svcCfg, const QStringList & capabilities ) `[static]`

Returns the authentication string that should be used to initiate an authentication attempt for the service whose configuration is described by svcCfg. The preferred authentication method may depend upon the service's reported capabilities.

### QByteArray QMailAuthenticator::getResponse ( const QMailAccountConfiguration::ServiceConfiguration & svcCfg, const QByteArray & challenge ) `[static]`

Returns the response string that should be reported as the response to a service's challenge, for the the service desribed by svcCfg.

If the protocol invoking the challenge-response resolution requires encoding for the challenge-response tokens (such as Base64), the challenge should be decoded before invocation, and the result should be encoded for transmission.

### bool QMailAuthenticator::useEncryption ( const QMailAccountConfiguration::ServiceConfiguration & svcCfg, const QStringList & capabilities ) `[static]`

Returns true if the protocol should immediately switch to using TLS encryption; otherwise returns false. The use of encryption may be preferred depending on the service whose configuration is described by svcCfg, and the service's reported capabilities.